-- Module      : Network.AWS.Support
-- Copyright   : (c) 2013-2014 Brendan Hay <brendan.g.hay@gmail.com>
-- License     : This Source Code Form is subject to the terms of
--               the Mozilla Public License, v. 2.0.
--               A copy of the MPL can be found in the LICENSE file or
--               you can obtain it at http://mozilla.org/MPL/2.0/.
-- Maintainer  : Brendan Hay <brendan.g.hay@gmail.com>
-- Stability   : experimental
-- Portability : non-portable (GHC extensions)
--
-- Derived from AWS service descriptions, licensed under Apache 2.0.

-- | AWS Support is a one-on-one, fast-response support channel that is staffed
-- with experienced support personnel. The service helps customers get the most
-- from the products and features provided by Amazon Web Services. There are
-- four levels, or tiers, of AWS Support: Basic, Developer, Business, and
-- Enterprise. The Basic tier is free of charge and offers support for account
-- and billing questions and service limit increases. The other tiers offer an
-- unlimited number of technical support cases with pay-by-the-month pricing and
-- no long-term contracts, providing developers and businesses flexibility to
-- choose the level of support that meets their needs.
module Network.AWS.Support
    ( module Network.AWS.Support.AddAttachmentsToSet
    , module Network.AWS.Support.AddCommunicationToCase
    , module Network.AWS.Support.CreateCase
    , module Network.AWS.Support.DescribeAttachment
    , module Network.AWS.Support.DescribeCases
    , module Network.AWS.Support.DescribeCommunications
    , module Network.AWS.Support.DescribeServices
    , module Network.AWS.Support.DescribeSeverityLevels
    , module Network.AWS.Support.DescribeTrustedAdvisorCheckRefreshStatuses
    , module Network.AWS.Support.DescribeTrustedAdvisorCheckResult
    , module Network.AWS.Support.DescribeTrustedAdvisorCheckSummaries
    , module Network.AWS.Support.DescribeTrustedAdvisorChecks
    , module Network.AWS.Support.RefreshTrustedAdvisorCheck
    , module Network.AWS.Support.ResolveCase
    , module Network.AWS.Support.Types
    ) where

import Network.AWS.Support.AddAttachmentsToSet
import Network.AWS.Support.AddCommunicationToCase
import Network.AWS.Support.CreateCase
import Network.AWS.Support.DescribeAttachment
import Network.AWS.Support.DescribeCases
import Network.AWS.Support.DescribeCommunications
import Network.AWS.Support.DescribeServices
import Network.AWS.Support.DescribeSeverityLevels
import Network.AWS.Support.DescribeTrustedAdvisorCheckRefreshStatuses
import Network.AWS.Support.DescribeTrustedAdvisorCheckResult
import Network.AWS.Support.DescribeTrustedAdvisorCheckSummaries
import Network.AWS.Support.DescribeTrustedAdvisorChecks
import Network.AWS.Support.RefreshTrustedAdvisorCheck
import Network.AWS.Support.ResolveCase
import Network.AWS.Support.Types
